Projects - List
Get all projects in the organization that the authenticated user has access to.
GET https://dev.azure.com/{organization}/_apis/projects?api-version=5.0
GET https://dev.azure.com/{organization}/_apis/projects?stateFilter={stateFilter}&$top={$top}&$skip={$skip}&continuationToken={continuationToken}&getDefaultTeamImageUrl={getDefaultTeamImageUrl}&api-version=5.0
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
organization
|
path | True |
|
The name of the Azure DevOps organization. |
|
api-version
|
query | True |
|
Version of the API to use. This should be set to '5.0' to use this version of the api. |
|
$skip
|
query |
|
||
|
$top
|
query |
|
||
|
continuation
|
query |
|
||
|
get
|
query |
|
||
|
state
|
query |
Filter on team projects in a specific team project state (default: WellFormed). |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
successful operation |
Security
oauth2
Type:
oauth2
Flow:
accessCode
Authorization URL:
https://app.vssps.visualstudio.com/oauth2/authorize&response_type=Assertion
Token URL:
https://app.vssps.visualstudio.com/oauth2/token?client_assertion_type=urn:ietf:params:oauth:client-assertion-type:jwt-bearer&grant_type=urn:ietf:params:oauth:grant-type:jwt-bearer
Scopes
| Name | Description |
|---|---|
| vso.profile | Grants the ability to read your profile, accounts, collections, projects, teams, and other top-level organizational artifacts. |
| vso.project | Grants the ability to read projects and teams. |
Examples
Sample Request
GET https://dev.azure.com/fabrikam/_apis/projects?api-version=5.0
Sample Response
{
"count": 3,
"value": [
{
"id": "eb6e4656-77fc-42a1-9181-4c6d8e9da5d1",
"name": "Fabrikam-Fiber-TFVC",
"description": "Team Foundation Version Control projects.",
"url": "https://dev.azure.com/fabrikam/_apis/projects/eb6e4656-77fc-42a1-9181-4c6d8e9da5d1",
"state": "wellFormed"
},
{
"id": "6ce954b1-ce1f-45d1-b94d-e6bf2464ba2c",
"name": "Fabrikam-Fiber-Git",
"description": "Git projects",
"url": "https://dev.azure.com/fabrikam/_apis/projects/6ce954b1-ce1f-45d1-b94d-e6bf2464ba2c",
"state": "wellFormed"
},
{
"id": "281f9a5b-af0d-49b4-a1df-fe6f5e5f84d0",
"name": "TestGit",
"url": "https://dev.azure.com/fabrikam/_apis/projects/281f9a5b-af0d-49b4-a1df-fe6f5e5f84d0",
"state": "wellFormed"
}
]
}
Definitions
|
Project |
The current state of the project. |
|
Project |
Indicates whom the project is visible to. |
|
Team |
Represents a shallow reference to a TeamProject. |
ProjectState
The current state of the project.
| Name | Type | Description |
|---|---|---|
| all |
|
All projects regardless of state. |
| createPending |
|
Project has been queued for creation, but the process has not yet started. |
| deleted |
|
Project has been deleted. |
| deleting |
|
Project is in the process of being deleted. |
| new |
|
Project is in the process of being created. |
| unchanged |
|
Project has not been changed. |
| wellFormed |
|
Project is completely created and ready to use. |
ProjectVisibility
Indicates whom the project is visible to.
| Name | Type | Description |
|---|---|---|
| private |
|
The project is only visible to users with explicit access. |
| public |
|
The project is visible to all. |
TeamProjectReference
Represents a shallow reference to a TeamProject.
| Name | Type | Description |
|---|---|---|
| abbreviation |
|
Project abbreviation. |
| defaultTeamImageUrl |
|
Url to default team identity image. |
| description |
|
The project's description (if any). |
| id |
|
Project identifier. |
| name |
|
Project name. |
| revision |
|
Project revision. |
| state |
Project state. |
|
| url |
|
Url to the full version of the object. |
| visibility |
Project visibility. |